* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}



*,
::after,
::before {
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    min-height: 100vh;
    background-image: url(images/background.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    font-family: monospace;
}

nav {
    background-color: rgb(0, 0, 0, 0.1);
    position: relative;
    margin-bottom: 24px;
    
}

nav ul {
    width: 100%;
    list-style: none;
    display: flex;
    justify-content: center;
    align-items: center;

}

nav li {
    height: 100px;
}

nav a {
    height: 100%;
    padding: 0 30px;
    text-decoration: none;
    align-items: center;
    display: flex;
    color: black;
    font-size: xx-large;
}

nav a:hover {
    background-color: aliceblue;
}

nav li:first-child {
    position: absolute;
    left: 0;



}

.sidebar {
    position: fixed;
    top: 0;
    right: 0;
    height: 100vh;
    width: 250px;
    z-index: 999;
    background-color: rgb(223, 228, 233, 0.2);
    box-shadow: -10px 0 10px rgb(65, 45, 45);
    display: none;
    flex-direction: column;
    align-items: start;
    justify-content: start;
    backdrop-filter: blur(10px);
}

.sidebar li {
    width: 100%;
}

.sidebar a {
    width: 100%;
}

.presentation {
    display: grid;
    
    
    background-color: rgba(176, 192, 206, 0.408);
    padding: 3%;
    border-radius: 1%;

    

    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr 1fr
}

.description{
    grid-column: 1 /3;
    grid-row: 3 / 4;
}

.badgescontainer{
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    height: 100%;
    gap: 5px;
}

.badgelabel{
   display: flex;
   flex-direction: column;
   height: 100%;
   background-color: rgb(216, 216, 166);
   width: 100%;
   height: 50%;
   border-radius: 10px;
   align-items: center;
   justify-content: center;
   box-shadow: 12px 12px 0 #000000;
   border-bottom: 10px solid rgba(254, 255, 251, 0.3);

   
}

.badgelabel:hover{
    opacity: 1;
    background-color: rgb(52, 57, 61);
}

.badge_number{
    font-size: 40px
}

.badge_title{
    font-size: 30px;
}

.container {
    margin-left: 20%;
    margin-right: 20%;

}

.photo{
    grid-column: 2 / 3;
    grid-row: 1 / 3;
}

.photo  img{
    width: 100%;
    height: 100%;
    
}

#profile {
    border-radius: 24px;
}



/* when the width size is 800 or less it will hide the elements .hidde*/
@media(max-width: 800px) {

    .hidde {
        display: none;
    }

    .menu_button {
        position: absolute;
        right: 5px;
    }


}

/* when the width size is 800 or more it will hide the .menu_button*/

@media(min-width: 800px) {
    .menu_button {
        display: none;
    }
}

@media(min-width: 992px) {
    .about {
        max-width: 100%;
        width: 50%;
        display: flex;
        flex-direction: column;
        width: 100%;
    }

    .brief_descrip{
        font-size: x-large;
        margin-top: 100px;
    }
   

}



.typing-out {
    overflow: hidden;
    border-right-color: aqua;
    font-size: 1.6.rem;
    font-family: monospace;
    width: 0;
    border-right: 3px solid currentColor;
    white-space: nowrap;
    display: inline-block;
    animation: typing 2.5s steps(21, end) infinite alternate,
        blink 0.7s step-end infinite;
    font-size: xx-large;


}


@media(max-width: 480px){
    .typing-out{
        font-size: small;
    }
}

@media(min-width: 576px) {
    .card-label {
        width: calc(50% - 2%);
    }
}

@media(min-width: 768px) {
    .card-label {
        width: calc(33.3333% - 2%);
    }
}



.card-label {
    background-color: antiquewhite;
    margin-left: 1%;
    margin-right: 1%;
    word-break: normal;
    margin-top: 5%;
    border-radius: 10px;
    box-shadow: 0 8px 10px black;
    display: flex;
    flex-direction: column;


}



.card-container {
    width: 100%;
    padding-top: 0;
    display: flex;
    flex-wrap: wrap;
    padding-right: 0;
    padding-left: 0;
    background-color: rgba(250, 235, 215, 0.295);

}

.img-card {
    width: 100%;
    height: 200px;
    border-radius: 3%;


}

.card-body {
    padding: 2rem;
    word-break: break-word;
}

p {
    margin-top: 1rem;
    margin-bottom: 1rem;
}

.contact {
    background-color: rgba(127, 255, 212, 0.118);
    margin-top: 1rem;
    padding: 5%;
    width: 100%;
    display: flex;
    flex-wrap: wrap;

}

.contact-info {
    display: flex;
    flex-direction: column;
    flex: 10;

}

.contact-form {
    flex: 7;
}

h3 {
    font-size: xx-large;
    text-align: center;
    margin-bottom: 20px;
}

input,
textarea {
    font-size: 1.1rem;
    /* text size */
    padding: 0.75rem 1rem;
    /* space inside */
    line-height: 1.4;
    border-radius: 15px;
    width: 60%;
    margin-top: 5px;
    margin-bottom: 5px;
}

textarea {
    min-height: 160px;
}

.icons_contact {
    margin-top: 10%;
    display: flex;
    justify-content: space-around;
}


@keyframes typing {
    /*
    from {width: 0;}
    to{ width: 100%;}
    */

    0% {
        width: 0;
    }

    60% {
        width: 20ch;
    }

    100% {
        width: 20ch;
    }

    /* hold (pause) */
}

@keyframes blink {
    50% {
        border-color: transparent;
    }
}

#title-projects {
    font-size: xx-large;
}


.button-project {
    background: #fbca1f;
    font-family: inherit;
    padding: 0.6em 1.3em;
    font-weight: 900;
    font-size: 12px;
    border: 3px solid black;
    border-radius: 0.4em;
    box-shadow: 0.1em 0.1em;
    cursor: pointer;
}

.button-submit {
    background-color: aquamarine;
    width: 60%;
    height: 50px;
    border-radius: 20px;
}

button:hover {
    transform: translate(-0.05em, -0.05em);
    box-shadow: 0.15em 0.15em;
}

button:active {
    transform: translate(0.05em, 0.05em);
    box-shadow: 0.05em 0.05em;
}